package net.laparola.brandingmodule;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import net.laparola.visualizzatesto.Testo;
import org.openide.awt.*;
import org.openide.util.NbBundle.Messages;
import org.openide.windows.WindowManager;
import org.openide.windows.Mode;

@ActionID(category = "Build",
id = "net.laparola.brandingmodule.RicercaAction")
@ActionRegistration(iconBase = "net/laparola/brandingmodule/ricerca.gif",
displayName = "#CTL_RicercaAction",
key = "RicercaAction")
@ActionReferences({
    @ActionReference(path = "Menu/Tools", position = 287),
    @ActionReference(path = "Toolbars/File", position = 4250),
    @ActionReference(path = "Shortcuts", name = "F5")
})
@Messages("CTL_RicercaAction=Ricerca")
public final class RicercaAction implements ActionListener {

    @Override
    public void actionPerformed(ActionEvent e) {
        Testo t = new Testo();
        Mode m = WindowManager.getDefault().findMode("editor");
        if (m != null) {
            t.eseguiRicerca();
            m.dockInto(t);
            t.open();
            t.requestActive();
        }
    }
}
